<?php

require_once('connexionBD.php');
require_once ('ressources/user.php');

session_start();

if (!isset($_SESSION['mail'])) {
    header('Location: index.php');
    exit();
}

$mail = $_SESSION['mail'];

$user = getUser($db, $mail);

if (!$user) {
    header('Location: profil.php?error=3');
    exit();
}

if (isset($_POST['login']) || isset($_FILES['avatar'])){
    if (isset($_FILES['avatar']) and !empty($_FILES['avatar']['name'])) {
        $fic = $_FILES['avatar'];
        supprimerAvatar($mail);
        $res = uploadAvatar($mail, $fic);
        switch ($res){
            case -1:
                header('Location: profil.php?error=4');
                exit();
            case -2:
                header('Location: profil.php?error=5');
                exit();
            case -3:
                header('Location: profil.php?error=6');
                exit();
        }
    }
    if (isset($_POST['login']) && isset($_POST['password']) && isset($_POST['confirmation']) && isset($_POST['prenom']) && isset($_POST['nom']) && isset($_POST['phone'])) {
        $login = htmlentities(pg_escape_string($_POST['login']));
        $password = htmlentities(pg_escape_string($_POST['password']));
        $confirmation = htmlentities(pg_escape_string($_POST['confirmation']));
        $prenom = htmlentities(pg_escape_string($_POST['prenom']));
        $nom = htmlentities(pg_escape_string($_POST['nom']));
        $phone = htmlentities(pg_escape_string($_POST['phone']));

        if (loginChange($user, $login)) {
            if (!isLoginUniqueModifier($db, $mail, $login)) {
                header('Location: profil.php?error=1');
                exit();
            } else {
                if (!modifierLogin($db, $mail, $login)) {
                    header('Location: profil.php?error=6');
                    exit();
                }
            }
        }

        if (strcmp($password, $confirmation) != 0) {
            header('Location: profil.php?error=2');
            exit();
        }

        if (!modifierUtilisateur($db, $mail, $prenom, $nom, $password, $phone)) {
            header('Location: profil.php?error=6');
            exit();
        }
    }
    sleep(0.85);
    header('Location: profil.php');
    exit();
}

function printError()
{
    if (isset($_GET['error'])) {
        $erreur = getErrorProfil($_GET['error']);
        echo "<p class = 'error'>$erreur</p>";
    }
}

function getErrorProfil($code)
{
    switch ($code) {
        case 1:
            return "Ce login est déjà associé à un compte.";
        case 2:
            return "Les mots de passe ne correspondent pas.";
        case 3:
            return "Erreur lors de la récupération des informations de profil.";
        case 4:
            return "Le fichier envoyé doit être une image au format PNG ou JPEG.";
        case 5:
            return "La taille de l'image ne doit pas dépasser 2 MB.";
        case 6:
            return "Erreur lors de la modification du compte.";

    }
}

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="profil.css">
    <link rel="stylesheet" href="ressources/navbarhtml.css">
    <link rel="stylesheet" href="index_inscription.css">
    <script src="inscription.js"></script>
    <title>Profil</title>
</head>
<body>
<?php require_once("ressources/navbarhtml.php"); ?>
<div id="formulaire">
    <h1>Profil</h1>
    <div id="divImgProfil">
        <img id="imgProfil" src="<?php echo getPathImgProfil($mail); ?>">
    </div>
    <form method="post" action="profil.php" enctype="multipart/form-data">
        <div class="line">
            <label for="mail">Adresse mail : </label>
            <input id="mail" class="form" type="email" maxlength="100" readonly value="<?php echo $user['mail']; ?>">
        </div>
        <div class="line">
            <label for="login">Login : </label>
            <input id="login" class="form" name="login" type="text" maxlength="50"
                   value="<?php echo $user['login']; ?>" required>
        </div>
        <div class="line">
            <label for="password">Mot de passe : </label>
            <input class="form" id="password" name="password" type="password" maxlength="50"
                   value="<?php echo $user['passwd']; ?>" required>
        </div>
        <div class="line">
            <label for="confirmation">Confirmation : </label>
            <input class="form" id="confirmation" name="confirmation" type="password" maxlength="16"
                   value="<?php echo $user['passwd']; ?>" required>
        </div>
        <div class="line">
            <label for="prenom">Prénom : </label>
            <input id="prenom" class="form" name="prenom" type="text" maxlength="50"
                   value="<?php echo $user['prenom']; ?>" required>
        </div>
        <div class="line">
            <label for="nom">Nom : </label>
            <input id="nom" class="form" name="nom" type="text" maxlength="50" value="<?php echo $user['nom']; ?>"
                   required>
        </div>
        <div class="line">
            <label for="dateN">Date de naissance : </label>
            <input id="dateN" class="form" readonly="readonly" type="date"
                   value="<?php echo $user['datenaissance']; ?>" required>
        </div>
        <div class="line">
            <label for="phone">Numéro de téléphone : </label>
            <input id="phone" class="form" name="phone" type="tel" pattern="[0-9]{10}" maxlength="10"
                   value="<?php echo $user['telephone']; ?>" required>
        </div>
        <div class="line">
            <label for="avatar">Image du Profil :</label>
            <input type="file" id="avatar" class="form" name="avatar" accept="image/png, image/jpeg">
        </div>
        <?php
        printError();
        ?>
        <input id="submit" class="button" type="submit" value="Modifier">
    </form>
</div>
</body>
</html>
